> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Saved Card Details

> Retrieve saved card details (last 4 digits and brand) for a subscription



## OpenAPI

````yaml get /v1/recurring-billing/{recurring_billing_id}
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/recurring-billing/{recurring_billing_id}:
    get:
      summary: Get saved card details
      description: >-
        Use this API to get the detail of recurring billing with a saved card.
        If the card is saved the response will have the card details (The last 4
        digits and card brand). You can use the card details to display it to
        the users so they are aware of which card is saved and give them the
        option to change the card by navigating to the “url”
      operationId: get-saved-card-details
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: recurring_billing_id
          in: path
          schema:
            type: string
            'format:': uuid
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 9ad461a8-47ec-4f95-aeb3-1a3d16fec521
                    business_recurring_plans_id: null
                    customer_name: API_Save_Card_1702369621
                    customer_email: test@gmail.com
                    customer_phone_number: null
                    customer_phone_number_country_code: null
                    name: API_Save_Card_New_1702369621
                    description: description_1702369621
                    reference: cust_id_123
                    cycle: save_card
                    cycle_repeat: null
                    cycle_frequency: null
                    currency: usd
                    price: 94.27
                    amount: 94.27
                    times_to_be_charged: null
                    times_charged: null
                    status: canceled
                    send_email: 1
                    save_card: 1
                    redirect_url: https://www.google.com/
                    payment_methods:
                      - giro
                      - card
                    payment_provider_charge_method: card
                    created_at: '2023-12-12T16:27:01'
                    updated_at: '2023-12-13T09:33:02'
                    pause_from: null
                    pause_until: null
                    expires_at: null
                    url: >-
                      https://securecheckout.staging.hit-pay.com/98567029-f559-49f9-916b-042a4255b32a/recurring-plan/9ad461a8-47ec-4f95-aeb3-1a3d16fec521
                    dbs_dda_reference: RP94OH2LYZY
                    total_charge: 0
                    payment_method:
                      card:
                        brand: visa
                        last4: '4242'
              schema:
                type: object
                properties:
                  id:
                    type: string
                  business_recurring_plans_id: {}
                  customer_name:
                    type: string
                  customer_email:
                    type: string
                  customer_phone_number: {}
                  customer_phone_number_country_code: {}
                  name:
                    type: string
                  description:
                    type: string
                  reference:
                    type: string
                  cycle:
                    type: string
                  cycle_repeat: {}
                  cycle_frequency: {}
                  currency:
                    type: string
                  price:
                    type: number
                  amount:
                    type: number
                  times_to_be_charged: {}
                  times_charged: {}
                  status:
                    type: string
                  send_email:
                    type: number
                  save_card:
                    type: number
                  redirect_url:
                    type: string
                  payment_methods:
                    type: array
                    items:
                      type: string
                  payment_provider_charge_method:
                    type: string
                  created_at:
                    type: string
                  updated_at:
                    type: string
                  pause_from: {}
                  pause_until: {}
                  expires_at: {}
                  url:
                    type: string
                  total_charge:
                    type: number
                  payment_method:
                    type: object
                    properties:
                      card:
                        type: object
                        properties:
                          brand:
                            type: string
                          last4:
                            type: string
                        required:
                          - brand
                          - last4
                    required:
                      - card
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "message": "No query results for model [App\\Business\\SubscriptionPlan] 973ee456-d28f-4418-93c5-d37e4b311685"
                    }
              schema:
                type: object
                properties:
                  message:
                    type: string
                    examples:
                      - >-
                        No query results for model
                        [App\Business\SubscriptionPlan]
                        973ee456-d28f-4418-93c5-d37e4b311685
      deprecated: false
      security: []

````